package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.TenantConfigDto;
import com.ym.mec.biz.dal.entity.TenantConfig;

import java.math.BigDecimal;
import java.util.Map;

public interface TenantConfigService extends IService<TenantConfig> {

    void addConfig(TenantConfigDto dto);

    void updateConfig(TenantConfigDto dto);
    
    TenantConfig queryByTenantId(Integer tenantId);

    Map<String, BigDecimal> getRule(Integer tenantId);

    Map<String, BigDecimal> getCloudRoomRule(String config);

    /**
    * @description: 是否可以自动激活团练宝
     * @param tenantId
    * @return java.lang.Boolean
    * @author zx
    * @date 2022/3/21 10:18
    */
    Boolean autoActivationFlag(Integer tenantId);
}
